Subject: bug#25486: bug#24343: 25.1; Emacs startup GTK error if init files contains an error

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 Aug 2021 14:16:51 +0200

Ryan McCarl <[email-masked]> writes:

> I ran emacs --debug-init and am getting this error in the console for
> the first time:
>
> ```
> (emacs:26149): Gtk-WARNING **: Allocating size to Emacs 0x4a7e2a0
> without calling gtk_widget_get_preferred_width/height(). How does the
> code know the size to allocate?
> ```
> Features:
>
>  In GNU Emacs 26.0.50.2 (x86_64-unknown-linux-gnu, GTK+ Version 3.22.6)
>  of 2017-01-12 built on ryanfedora

(I'm going through old bug reports that unfortunately weren't
resolved at the time.)

I tried reproducing this now on Debian/bullseye (Gtk version 3.24) with
Emacs 27.1 and 28, and I couldn't.

Are you still seeing this issue?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no